LDWS Advanced Endpoints
GET /v1/advanced/property-lock/
Returns the property-lock setting and if the registry has been set to override the property-lock value.
Request Example
GET /api/v1/advanced/property-lock/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}Response Body
The server will return a success or error message. A successful response will include:
- forceRegistrySettings bool: Whether registry settings should take priority
- registryEnableSettings bool: The registry value for enable settings handler
- bsnce bool: Whether BSN.Cloud is enabled
Response Example
{
"data": {
"result": {
"settingsHandlerEnabled": true,
"forceRegistrySettings": false,
"registryEnableSettings": true,
"bsnce": true
}
}
}
PUT /v1/advanced/property-lock/
Lets users override the current property-lock setting
Request Body
- forceRegistrySettings bool: Whether registry settings should take priority
- registryEnableSettings bool: Registry value for enable settings handler
Request Example
PUT /api/v1/advanced/property-lock/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}This is an example of the request body:
{
"forceRegistrySettings": true,
"registryEnableSettings": true
}Response Body
The server will return a success or error message. A successful response will almost always cause a reboot which will be indicated in the response.
- result object: The response object
- success bool: Whether or not the operation was successful
- reboot bool: Whether or not the player is rebooting
Response Example
{
"data": {
"result": {
"success": true,
"reboot": true
}
}
}
GET /v1/system/supervisor/logging/
Returns the current logging level on the player. The default value is info.
Request Example
GET /api/v1/system/supervisor/logging/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}Response Body
- status is the HTTP response code
- level is the logging level on the player. The higher the number, the more detail is offered.
- name is the name of the logging level (trace, info, error, or warn)
Response Example
{
"data": {
"result": {
"status": 200,
"level": "2",
"name": "info"
}
}
}PUT /v1/system/supervisor/logging/
Sets the logging level on the player.
Request Body
- level int: The integer values correspond to the logging levels:
- 3: Trace
- 2: Info
- 1: Warn
- 0: Error
Request Example
PUT /api/v1/system/supervisor/logging/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}This is the example request body:
{
"level": 1
}Response Example
{
"data": {
"result": {
"status": 200
}
}
}